Bug 853052 - Review Request: hawtdispatch - The libdispatch style API for Java
Review Request: hawtdispatch - The libdispatch style API for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On: 853050
Blocks: 853055
  Show dependency treegraph
 
Reported: 2012-08-30 08:02 EDT by gil cattaneo
Modified: 2014-08-26 08:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: hawtdispatch-1.17-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-08-30 08:02:01 EDT
Spec URL: http://gil.fedorapeople.org/hawtdispatch.spec
SRPM URL: http://gil.fedorapeople.org/hawtdispatch-1.11-1.fc16.src.rpm
Description: HawtDispatch is a small (less than 100k) thread pooling and
NIO event notification framework API modeled after the
libdispatch API that Apple created to power the Grand Central
Dispatch (GCD) technology in OS X. It allows you to easily develop
multi-threaded applications without having to deal with the
problems that traditionally plague multi-threaded application
development.
Fedora Account System Username: gil
Comment 2 Douglas Schilling Landgraf 2013-06-08 18:34:56 EDT
Hello Gil,

Can you please take a look into the following comment:

- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in hawtdispatch-
  transport
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

Thanks
Douglas
Comment 3 gil cattaneo 2013-06-09 02:26:17 EDT
(In reply to Douglas Schilling Landgraf from comment #2)
> Hello Gil,
> 
> Can you please take a look into the following comment:
> 
> - Fully versioned dependency in subpackages, if present.
>   Note: Missing: Requires: %{name} = %{version}-%{release} in hawtdispatch-
>   transport
>   See:
> http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
> 
> Thanks
> Douglas

hi Douglas,
is already present in hawtdispatch spec file...
re-package source rpm ... strange
regards
thanks to you

Spec URL: http://gil.fedorapeople.org/hawtdispatch.spec
SRPM URL: http://gil.fedorapeople.org/hawtdispatch-1.17-1.fc18.src.rpm
Comment 4 Douglas Schilling Landgraf 2013-06-10 11:11:00 EDT
Package reviewed manually + fedora-review version 0.4.1 b2e211f

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

Rpmlint
-------
Checking: hawtdispatch-1.17-1.fc18.noarch.rpm
          hawtdispatch-transport-1.17-1.fc18.noarch.rpm
          hawtdispatch-javadoc-1.17-1.fc18.noarch.rpm
hawtdispatch.noarch: W: spelling-error Summary(en_US) libdispatch -> lib dispatch, lib-dispatch, dispatcher
hawtdispatch.noarch: W: spelling-error %description -l en_US libdispatch -> lib dispatch, lib-dispatch, dispatcher
hawtdispatch.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint hawtdispatch-transport hawtdispatch hawtdispatch-javadoc
hawtdispatch.noarch: W: spelling-error Summary(en_US) libdispatch -> lib dispatch, lib-dispatch, dispatcher
hawtdispatch.noarch: W: spelling-error %description -l en_US libdispatch -> lib dispatch, lib-dispatch, dispatcher
hawtdispatch.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

All warnings can be ignored.

[OK] MUST: The package must be named according to the Package Naming Guidelines 

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license.

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible. 

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

CHECKSUM(SHA256) this package     : 044e69fa091c9cf115bac070965c41b3d2a8147ea8f511798de646232af2377b
  CHECKSUM(SHA256) upstream package : 044e69fa091c9cf115bac070965c41b3d2a8147ea8f511798de646232af2377b


[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries.

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 

[OK] MUST: Permissions on files must be set properly. 

[OK] MUST: Each package must consistently use macros.

[OK] MUST: The package must contain code, or permissable content

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

[OK] MUST: All filenames in rpm packages must be valid UTF-8

Java:
========
[OK]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[OK]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[OK]: Javadoc subpackages should not have Requires: jpackage-utils
[OK]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[OK]: Bundled jar/class files should be removed before build
[OK]: Packages are noarch unless they use JNI

Maven:
=========
[OK]: Old add_to_maven_depmap macro is not being used
[OK]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[OK]: Package DOES NOT use %update_maven_depmap in %post/%postun
[OK]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Should
==========
[OK]: Final provides and requires are sane
[OK]: Package functions as described.
[OK]: Latest version is packaged.
[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Sources can be downloaded from URI in Source: tag
[OK]: Reviewer should test that the package builds in mock.
[OK]: Buildroot is not present
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: Dist tag is present.
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: SourceX tarball generation or download is documented.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define.

Suggestions
=============
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

Final Status: APPROVED.
Comment 5 gil cattaneo 2013-06-10 11:32:15 EDT
thanks!

New Package SCM Request
=======================
Package Name: hawtdispatch
Short Description: The libdispatch style API for Java
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-06-10 11:34:24 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-10 12:13:58 EDT
hawtdispatch-1.17-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hawtdispatch-1.17-1.fc19
Comment 8 Fedora Update System 2013-06-10 12:26:35 EDT
hawtdispatch-1.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawtdispatch-1.17-1.fc18
Comment 9 Fedora Update System 2013-06-11 05:05:27 EDT
hawtdispatch-1.17-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-06-19 00:36:06 EDT
hawtdispatch-1.17-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-06-29 14:24:58 EDT
hawtdispatch-1.17-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Darryl L. Pierce 2014-08-25 11:51:35 EDT
Package Change Request
======================
Package Name: hawtdispatch
New Branches: epel7
Owners: mcpierce
Comment 13 Gwyn Ciesla 2014-08-26 08:00:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.